diff --git a/shaders/CMakeLists.txt b/shaders/CMakeLists.txt
index 981fc5f..10c2b6e 100644
--- a/shaders/CMakeLists.txt
+++ b/shaders/CMakeLists.txt
@@ -5,8 +5,10 @@ find_package(Vulkan REQUIRED)
 set(SHADER_DIR ${CMAKE_CURRENT_SOURCE_DIR})
 set(VERT_SHADER ${SHADER_DIR}/shader.vert)
 set(FRAG_SHADER ${SHADER_DIR}/shader.frag)
+set(COMP_SHADER ${SHADER_DIR}/shader.comp)
 set(SPIRV_VERT ${SHADER_DIR}/vert.spv)
 set(SPIRV_FRAG ${SHADER_DIR}/frag.spv)
+set(SPIRV_COMP ${SHADER_DIR}/comp.spv)
 
 add_custom_command(
     OUTPUT ${SPIRV_VERT}
@@ -22,6 +24,13 @@ add_custom_command(
     DEPENDS ${FRAG_SHADER}
 )
 
+add_custom_command(
+    OUTPUT ${SPIRV_COMP}
+    COMMAND ${Vulkan_GLSLC_EXECUTABLE} ${COMP_SHADER} -o ${SPIRV_COMP}
+    COMMENT "Compiling shader.comp to comp.spv"
+    DEPENDS ${COMP_SHADER}
+)
+
 add_custom_target(CompileShaders ALL
-    DEPENDS ${SPIRV_VERT} ${SPIRV_FRAG}
+    DEPENDS ${SPIRV_VERT} ${SPIRV_FRAG} ${SPIRV_COMP}
 )
